Run of fresh-snapshots for pyexploitdb

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
[2021-07-16 03:22:35] Running ['new-upstream', '--snapshot', '--debian-revision=0kali1', '--refresh-patches']
[2021-07-16 03:22:35] Opening branch at https://gitlab.com/kalilinux/packages/pyexploitdb.git/,branch=kali%2Fmaster
[2021-07-16 03:23:07] Cached branch URL https://janitor.kali.org/git/pyexploitdb,branch=kali%2Flatest unavailable: Unexpected HTTP status 502 for https://janitor.kali.org/git/pyexploitdb/info/refs?service=git-upload-pack: Unable to handle http code: Bad Gateway
[2021-07-16 03:23:08] Total 97 (delta 0), reused 0 (delta 0), pack-reused 92
[2021-07-16 03:23:10] Total 6 (delta 0), reused 6 (delta 0), pack-reused 0
[2021-07-16 03:23:13] Workspace ready - starting.
[2021-07-16 03:23:13] Using upstream branch https://github.com/GoVanguard/pyExploitDb.git (from configuration)
[2021-07-16 03:23:13] Total 166 (delta 14), reused 54 (delta 9), pack-reused 104
[2021-07-16 03:23:15] Using version string 0.2.0+20190604+git20210602.1.b93790c.
[2021-07-16 03:23:15] No upstream upstream-revision format specified, trying tag:0.2.0+20190604
[2021-07-16 03:23:15] No upstream upstream-revision format specified, trying tag:pyexploitdb-0.2.0+20190604
[2021-07-16 03:23:15] No upstream upstream-revision format specified, trying tag:v0.2.0+20190604
[2021-07-16 03:23:15] No upstream upstream-revision format specified, trying tag:v.0.2.0+20190604
[2021-07-16 03:23:15] No upstream upstream-revision format specified, trying tag:release-0.2.0+20190604
[2021-07-16 03:23:15] No upstream upstream-revision format specified, trying tag:0_2_0+20190604_release
[2021-07-16 03:23:15] No upstream upstream-revision format specified, trying tag:0_2_0+20190604
[2021-07-16 03:23:15] No upstream upstream-revision format specified, trying tag:version-0.2.0+20190604
[2021-07-16 03:23:15] No upstream upstream-revision format specified, trying tag:pyexploitdb-0_2_0+20190604-release
[2021-07-16 03:23:15] No upstream upstream-revision format specified, trying tag:pyexploitdb-v0.2.0+20190604
[2021-07-16 03:23:15] Old upstream version '0.2.0+20190604' is not present in upstream branch <UpstreamBranchSource for 'https://github.com/GoVanguard/pyExploitDb.git/'>. Unable to determine whether upstream history is normally included. Assuming no.
[2021-07-16 03:23:15] Looking for upstream pyexploitdb/0.2.0+20190604+git20210602.1.b93790c in upstream branch <RemoteGitBranch('https://github.com/GoVanguard/pyExploitDb.git/', 'master')>.
[2021-07-16 03:30:44] Imported pyexploitdb_0.2.0+20190604+git20210602.1.b93790c.orig.tar.gz with pristine-tar.
[2021-07-16 03:30:56] All changes applied successfully.
gbp:info: Found tag for topmost changelog version 'a2f0f2c3ad11ecef38d512156297881ed01197b4'
[2021-07-16 03:30:56] Found tag for topmost changelog version 'a2f0f2c3ad11ecef38d512156297881ed01197b4'
[2021-07-16 03:31:02] Committing to: /home/janitor/tmp/janitorsxar5ohv/pyexploitdb/
[2021-07-16 03:31:02] deleted .gitignore
[2021-07-16 03:31:02] deleted .travis.yml
[2021-07-16 03:31:02] deleted LICENSE
[2021-07-16 03:31:02] added PKG-INFO
[2021-07-16 03:31:02] modified README.md
[2021-07-16 03:31:02] modified debian/changelog
[2021-07-16 03:31:02] deleted dist
[2021-07-16 03:31:02] deleted dist/pyExploitDb-0.2.0-py3-none-any.whl
[2021-07-16 03:31:02] deleted dist/pyExploitDb-0.2.0.tar.gz
[2021-07-16 03:31:02] deleted packageIt.sh
[2021-07-16 03:31:02] deleted pushPackage.sh
[2021-07-16 03:31:02] added pyExploitDb.egg-info
[2021-07-16 03:31:02] added pyExploitDb.egg-info/PKG-INFO
[2021-07-16 03:31:02] added pyExploitDb.egg-info/SOURCES.txt
[2021-07-16 03:31:02] added pyExploitDb.egg-info/dependency_links.txt
[2021-07-16 03:31:02] added pyExploitDb.egg-info/requires.txt
[2021-07-16 03:31:02] added pyExploitDb.egg-info/top_level.txt
[2021-07-16 03:31:02] modified pyExploitDb/__init__.py
[2021-07-16 03:31:02] modified pyExploitDb/cveToEdbid.json
[2021-07-16 03:31:03] modified pyExploitDb/edbidToCve.json
[2021-07-16 03:31:03] deleted requirements.txt
[2021-07-16 03:31:03] added setup.cfg
[2021-07-16 03:31:03] modified setup.py
[2021-07-16 03:31:04] Committed revision 15.
[2021-07-16 03:31:05] Merged new upstream version 0.2.0+20190604+git20210602.1.b93790c (previous: 0.2.0+20190604)
[2021-07-16 03:31:05] Refresh quilt patches.
[2021-07-16 03:31:11] Committing to: /home/janitor/tmp/janitorsxar5ohv/pyexploitdb/
[2021-07-16 03:31:11] modified debian/patches/change-data-location.patch
[2021-07-16 03:31:12] Committed revision 16.
[2021-07-16 03:31:14] Opened schroot session kali-dev-amd64-sbuild-95a1ee7d-46f9-4751-9e90-766c99eb9f34 (from kali-dev-amd64-sbuild)
[2021-07-16 03:31:14] Using fixers: [PgBuildExtOutOfDateControlFixer(), SimpleBuildFixer(MissingConfigure, fix_missing_configure), SimpleBuildFixer(MissingAutomakeInput, fix_missing_automake_input), SimpleBuildFixer(MissingConfigStatusInput, fix_missing_config_status_input), SimpleBuildFixer(MissingPerlFile, fix_missing_makefile_pl), SimpleBuildFixer(DebcargoUnacceptablePredicate, coerce_unacceptable_predicate), DependencyBuildFixer(AptFetchFailure, retry_apt_failure), PackageDependencyFixer(AptResolver(<ognibuild.debian.apt.AptManager object at 0x7fab425d6dd8>, [functools.partial(<function python_tie_breaker at 0x7fab5612dd08>, <GitWorkingTree of /home/janitor/tmp/janitorsxar5ohv/pyexploitdb>, ''), BuildDependencyTieBreaker('/var/run/schroot/mount/kali-dev-amd64-sbuild-95a1ee7d-46f9-4751-9e90-766c99eb9f34'), <function popcon_tie_breaker at 0x7fab421bc840>]))]
[2021-07-16 03:31:14] Building debian packages, running 'sbuild -Asv --dpkg-file-suffix=+jan --force-orig-source --source-only-changes'.
[2021-07-16 03:45:11] Built ['pyexploitdb_0.2.0+20190604+git20210602.1.b93790c-0kali1~jan+nus1_amd64+jan.changes', 'pyexploitdb_0.2.0+20190604+git20210602.1.b93790c-0kali1~jan+nus1_source.changes'].
janitor.debian.lintian:info: Running lintian
[2021-07-16 03:45:13] Running lintian
[2021-07-16 03:45:18] Pushing result branch to RemoteVcsManager('https://janitor.kali.org/')
Full worker log

Summary

Merged new upstream version: 0.2.0+20190604+git20210602.1.b93790c (was: 0.2.0+20190604).

Publish Blockers

  • ☒ run was not successful
  • ☑ package has not been removed from the archive
  • ☒ command changed from DEB_UPDATE_CHANGELOG=auto new-upstream --snapshot --debian-revision=0kali1 --refresh-patches to deb-new-upstream --snapshot --debian-revision=0kali1 --refresh-patches --skip-empty
  • ☑ review not required
  • ☑ 0 publish attempts so far.not currently attempting to back off
  • ☑ proposals not currently being rate-limited for maintainer None
  • ☒ change set 54a168b8-997b-4df2-bbf2-1e85a06b014c is working
  • ☑ merge proposals for previous run were not rejected: status.